import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'ui-kit-alert',
  templateUrl: 'alert.component.html',
  styleUrls: ['../../../styles/css/alert.css'] 
})
export class AlertComponent implements OnInit {
  @Input() size: string = '';
  @Input() type: string = '';

  private class: string;

  ngOnInit() {
    this.class = `ui-kit-alert ${this.size} ${this.type}`;
  }
}
