import { Component, Input, OnInit, HostBinding, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'ui-kit-columns',
  templateUrl: 'columns.component.html',
  styleUrls: ['../../../styles/css/grid.css'],
  encapsulation: ViewEncapsulation.Emulated
})
export class ColumnsComponent implements OnInit {
  @Input() multiline: boolean = false;

  @HostBinding('class') class;

  private multilineClass: string;

  ngOnInit() {
    this.multilineClass = this.multiline ? 'is-multiline' : '';
    this.class = `columns ${this.multilineClass}`;
  }
}
